package com.aucma.dms.domain;

//import com.hw.common.core.annotation.Excel;
//import com.hw.common.core.web.domain.DmsBaseEntity;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特种设备参数信息对象 dms_base_specialdevice_param
 *
 * @author xins
 * @date 2024-01-09
 */
public class DmsBaseSpecialdeviceParam extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long specialdeviceParamId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 参数编号 */
    @Excel(name = "参数编号")
    private String paramCode;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;

    /** 参数值 */
    @Excel(name = "参数值")
    private String paramValue;

    /** 参数单位 */
    @Excel(name = "参数单位")
    private String paramUnit;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;
    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setSpecialdeviceParamId(Long specialdeviceParamId)
    {
        this.specialdeviceParamId = specialdeviceParamId;
    }

    public Long getSpecialdeviceParamId()
    {
        return specialdeviceParamId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setParamCode(String paramCode)
    {
        this.paramCode = paramCode;
    }

    public String getParamCode()
    {
        return paramCode;
    }
    public void setParamName(String paramName)
    {
        this.paramName = paramName;
    }

    public String getParamName()
    {
        return paramName;
    }
    public void setParamValue(String paramValue)
    {
        this.paramValue = paramValue;
    }

    public String getParamValue()
    {
        return paramValue;
    }
    public void setParamUnit(String paramUnit)
    {
        this.paramUnit = paramUnit;
    }

    public String getParamUnit()
    {
        return paramUnit;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("specialdeviceParamId", getSpecialdeviceParamId())
            .append("deviceId", getDeviceId())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("paramValue", getParamValue())
            .append("paramUnit", getParamUnit())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
